Sun Java Communications Suite 5 Release Notes

Requirements for Messaging Server

This section describes the following platform, client product, and additional software requirements for this release of Messaging Server:

Note –

For information about upgrading to Messaging Server 6.3 from a previous version of Messaging Server, see Messaging Server Installation Notes.

Important Patch Information for Messaging Server

For the most current list of required patches for Sun Java System Messaging Server go to and select either “Patches” or “Patch Portal”. As operating system patch requirements change and patches to Java Enterprise System components become available, updates will be made available on SunSolve, initially in the form of recommended patch clusters.

At the time of general release of the Sun Java Communications Suite 5, the following Messaging Server 6.3 upgrade patches are available:


Patch Number (English) 

Patch Number (Localized Languages) 

Solaris, SPARC 









Messaging Server Operating System Requirements

This release supports the following platforms:

Note –

Messaging Server is no longer supported on HP-UX or Windows platforms.

For detailed information about Solaris and Linux requirements, including required upgrade patches and kernel versions, see theSun Java Communications Suite 5 Installation Guide.

For a list of the Messaging Server packages, see Appendix E, Product Components for This Release, in Sun Java Communications Suite 5 Installation Guide.

Note –

The installer checks for required platform patches. You must install all required patches or the installation process will not continue.

Note –

The performance of your messaging server depends on many factors, including CPU power, available memory, disk space, file system performance, usage patterns, network bandwidth, and so on. For example, throughput is directly related to file system performance. If you have questions about sizing and performance, contact your Sun Java System representative.

Messaging Server Client Software Requirements

Communications Express access for Messaging Server requires a JavaScript-enabled browser. Follow the browser recommendations inCommunications Express Browser Requirements for optimal performance.

Product Version Compatibility Requirements for Messaging Server

Messaging Server is compatible with the product versions listed in this section:

Table 3–3 Product Version Compatibility Requirements for Messaging Server



Sun Java System Directory Server 

5.1, 5.2, 6.x 

Sun Java System Message Queue 


Sun Java System Access Manager (formerly called Identity Server) 

Legacy(6.x): Supports Access Manager 6 features, including the Access Manager 6 Console and directory information tree (DIT). If you are installing Access Manager with Portal Server, Messaging Server, Calendar Server, Delegated Administrator, or Instant Messaging, you must select the Access Manager Compatible (6.x) installation type.

Realm (7.x): Supports Access Manager 7 features, including the new Access Manager 7 Console. Use the Enhanced (7.x) installation type only if you are not installing Portal Server, Messaging Server, Calendar Server, Delegated Administrator, or Instant Messaging.

Sun Java System Web Server 


Sun Java System Application Server 


NSS Version Requirements for Messaging Server

Messaging Server 6.3 requires the use of the shared security component NSS version 3.9.3.

For more details about product version dependencies, see the Sun Java Enterprise System 5 Installation Guide for UNIX and Sun Java Enterprise System 5 Release Notes for UNIX

Additional Software Requirements for Messaging Server

A high quality caching DNS server on the local network is a requirement for a production deployment of Messaging Server. Messaging Server depends heavily on the responsiveness and scalability of the DNS server.

Additionally, ensure in your setup that DNS is properly configured and that it is clearly specified how to route to hosts that are not on the local subnet:

If your Internet host table in your /etc/hosts file looks like: budgie loghost mailhost


change it so that there is only one line for the IP address of the host. Be sure the first host name is a fully qualified domain name. For example: budgie loghost mailhost


Support for High Availability

Messaging Server can be run on the following versions of Sun Cluster and Veritas Cluster Server in a Solaris 9 or Solaris 10 environment:

Note –

Messaging Server 6.3 now supports Sun Cluster 3.2. However, note the following caveats: there is no new documentation for the new CLI introduced in Sun Cluster 3.2; Sun Cluster manuals provide examples to bridge the gap. In addition, the upgrade of Sun Cluster 3.1/Messaging Server 6.3 to Sun Cluster 3.2/Messaging Server 6.3 is currently not supported.


Supported Versions 

Sun Cluster (SC) 

SPARC: 3.0, 3.1, 3.2 

x86: 3.1 Update 4, 3.2 

Linux: Not Supported 

Veritas Cluster Server (VCS) 

SPARC: 3.5, 4.0, 4.1, 5.0 

x86: 3.5, 4.0. 4.1, 5.0 

Linux: Not Supported 

Recommended File Systems for Message Stores

The following file systems are recommended for message stores: